Subject: Re: In CVS Emacs, calc-eval gives multiplication higher precidence than division

From: Stefan Monnier <[email-masked]>
Date: Mon, 08 Sep 2008 17:42:18 -0400

Lennart> Of course I can see that the behaviour you want saves you a lot of key
Lennart> strokes. My question is really about the default value. You can easily
Lennart> change that, of course. The question is really if you prefer the old
Lennart> default and in that case what arguments you want to present for that.

> There's no need to change the longstanding defaults, because it would break
> things.  You already have a knob you can tweak if you think that "2 a / 3 b"
> should multiply by b, rather than divide by it.  That's a personal choice.

Nobody in this thread has said that "2 a / 3 b" should multiply by b.
What I (and others) have said is that "2 * a / 3 * b" should multiply by b.

        Stefan